#!/bin/sh

clear

psfile="SEA_Crust_Moho_map.ps"
pdffile="SEA_Crust_Moho_map.pdf"
proj="-JM3.5i"
bounds="-R10/14.5/45.0/47.5" 
cpt=./bilbao.cpt
##################################################### 
gmt xyz2grd SEA_Crust_Moho.txt -h1 -Gtmp.grd $bounds -I0.1
gmt psbasemap $bounds $proj -Ba1.0f0.5WNes -P -K > $psfile
echo "-------------------- CPT -----------------------------"
gmt grdinfo -T0.01 tmp.grd > zminmax
velminmax=`cat zminmax`
echo $velminmax
gmt makecpt -C$cpt $velminmax > SECT_CPT.cpt
echo "-------------------- Moho -----------------------------"
gmt grdimage tmp.grd $proj $bounds -CSECT_CPT.cpt -K -O  >> $psfile
gmt pscoast -Di -N3/0.5p,black  -W0.7,0/0/0 $proj $bounds -K -O >> $psfile
gmt psscale -CSECT_CPT.cpt -Ba5.0f2.5:'Moho depth (km)': -D1.75i/-0.2i/4.00/0.2h -O >> $psfile

rm SECT_CPT.cpt zminmax tmp.grd
##################################################### 
gmt psconvert $psfile -A -P -V -Tf -E900
gmt psconvert $psfile -A -P -V -Tj -E300
open $pdffile
