#!/bin/sh

clear

psfile="SEA_Crust_Vs_map.ps"
pdffile="SEA_Crust_Vs_map.pdf"
proj="-JM3.5i"
bounds="-R10/14.5/45.0/47.5" 
cpt=./roma.cpt
##################################################### 
echo "-------------------- Depth -----------------------------"
Depth=5
echo $Depth " km"
awk '{if($3==j) print $1,$2,$4}' j=$Depth SEA_Crust_Vs.txt > Depth_S_wave.tmp
gmt xyz2grd Depth_S_wave.tmp -Gtmp.grd $bounds -I0.1
gmt psbasemap $bounds $proj -Ba1.0f0.5WNes -P -K > $psfile
echo "-------------------- CPT -----------------------------"
gmt grdinfo -T0.01 tmp.grd > zminmax
velminmax=`cat zminmax`
echo $velminmax
gmt makecpt -C$cpt $velminmax > SECT_CPT.cpt
echo "------------------------------------------------------"
gmt grdimage tmp.grd $proj $bounds -CSECT_CPT.cpt -K -O  >> $psfile
gmt pscoast -Di -N3/0.5p,black  -W0.7,0/0/0 $proj $bounds -K -O >> $psfile
gmt psscale -CSECT_CPT.cpt -Ba0.2f0.1:'S-wave velocity (km/s)': -D1.75i/-0.2i/4.00/0.2h -O -K >> $psfile
gmt pstext -R -J -O -N -Gwhite -W0.5,0/0/0 -TO -F+f12p,Helvetica <<END>> $psfile
14.0 47.4 $Depth (km)
END

rm Depth_S_wave.tmp SECT_CPT.cpt zminmax tmp.grd
##################################################### 
gmt psconvert $psfile -A -P -V -Tf -E900
gmt psconvert $psfile -A -P -V -Tj -E300
open $pdffile
